The following shows how to generate the prolexic-network-health-monitoring-top-talkers-time-series report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
Provides network health monitoring time-series data for top network hosts.
Business object: securityConfigs
Data available for: 90 days
Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect
Available metrics
| Metric | Description |
|---|---|
startDateTime | The report's start time in ISO 8601 format using UTC time. |
packetsCount | The count of packets in the flow matching the filter. |
id | The flow ID. |
destination-ports | The destination network ports |
source-ports | The source network ports |
Available filters
| Filter | Type | Description |
|---|---|---|
securityConfigs | String | The security config to display. REQUIRED |
dimensions | Enumeration | The network traffic dimension to filter by: Source IP, Source Port, Destination IP, Destination Port, Protocol, or ASN. REQUIRED |
ports | String | The source network ports |
protocols | String | The source network protocols |
protected-prefixes | String | The list of Prolexic-protected prefixes |
protected-sub-prefix | String | The sub-prefix within a protected prefix |
scrubbing-centers | String | The Prolexic scrubbing centers |
number-of-rows | Integer | The number of rows to display |
POST request
POST /reporting-api/v1/reports/prolexic-network-health-monitoring-top-talkers-time-series/versions/10/report-data{?start,end,interval}
Sample:
/reporting-api/v1/reports/prolexic-network-health-monitoring-top-talkers-time-series/versions/10/report-data?start=2026-04-28T00%3A00%3A00Z&end=2026-04-28T23%3A59%3A00Z&interval=ONE_MINUTE
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
start | String | 2025-05-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED |
end | String | 2025-06-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED |
interval | Enumeration | FIVE_MINUTES | Specifies the time interval, one of: ONE_MINUTE,FIVE_MINUTES, HOUR, or DAY. REQUIRED |
JSON request members
| Member | Type | Description |
|---|---|---|
objectType | String | Specifies the business object for the report. For this report type, use securityConfigs. |
filters | Object | Specifies a set of custom filters, with each filter's name keying an array with each filter's set of values: securityConfigs, protected-prefixes,dimensions, scrubbing-centers. |
metrics | Array | Specifies a set of metrics to include: packetsCount, id, startDateTime. |
Request body:
{
"objectType": "securityConfigs",
"objectIds": [
"all"
],
"filters": {
"securityConfigs": [
"all"
],
"protected-prefixes": [
"192.175.246.0/24"
],
"dimensions": [
"Source Port",
"Destination Port",
"Source IP"
]
},
"metrics": [
"packetsCount",
"id",
"startDateTime"
]
}JSON response
Status 200 application/json
Response body
{
"metadata": {
"name": "prolexic-network-health-monitoring-top-protocol-time-series",
"version": "1",
"outputType": "HIERARCHICAL",
"groupBy": [
"startDateTime",
"id"
],
"interval": "FIVE_MINUTES",
"start": "2025-11-12T00:00:00Z",
"end": "2025-11-12T01:15:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 15,
"filters": [
{
"name": "securityConfigs",
"values": [
"all"
]
},
{
"name": "protected-prefixes",
"values": [
"192.175.246.0/24"
]
},
{
"name": "dimensions",
"values": [
"Source Port",
"Destination Port",
"Source IP"
]
}
],
"columns": [
{
"name": "groupBy",
"label": "startDateTime"
},
{
"name": "groupBy",
"label": "id"
},
{
"name": "packetsCount",
"label": "Packets Count"
},
{
"name": "id",
"label": "ID"
},
{
"name": "startDateTime",
"label": "startDateTime"
}
],
"objectType": "securityConfigs",
"objectIds": [
"pd_aana5hvj6r",
"usbank_cbc"
]
},
"data": [
{
"startDateTime": "2025-11-12T00:00:00Z",
"data": [
{
"id": "N/A",
"packetsCount": "N/A",
"startDateTime": "N/A"
},
{
"id": "11772164780568719528",
"packetsCount": "1",
"startDateTime": "1762905600000"
},
{
"id": "N/A",
"packetsCount": "N/A",
"startDateTime": "N/A"
},
{
"id": "15978301168329028491",
"packetsCount": "1",
"startDateTime": "1762905600000"
},
{
"id": "10263886907290398514",
"packetsCount": "1",
"startDateTime": "1762905600000"
},
{
"id": "4060862646078654863",
"packetsCount": "2",
"startDateTime": "1762905600000"
},
{
"id": "N/A",
"packetsCount": "N/A",
"startDateTime": "N/A"
},
{
"id": "70971512796843153",
"packetsCount": "2",
"startDateTime": "1762905600000"
},
{
"id": "14920748817353351010",
"packetsCount": "1",
"startDateTime": "1762905600000"
},
{
"id": "9728120480048138823",
"packetsCount": "2",
"startDateTime": "1762905600000"
}
]
},
{
"startDateTime": "2025-11-12T00:05:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "12",
"startDateTime": "1762905900000"
},
{
"id": "11772164780568719528",
"packetsCount": "8",
"startDateTime": "1762905900000"
},
{
"id": "8676945544260853298",
"packetsCount": "14",
"startDateTime": "1762905900000"
},
{
"id": "15978301168329028491",
"packetsCount": "15",
"startDateTime": "1762905900000"
},
{
"id": "10263886907290398514",
"packetsCount": "9",
"startDateTime": "1762905900000"
},
{
"id": "4060862646078654863",
"packetsCount": "15",
"startDateTime": "1762905900000"
},
{
"id": "14461285799910848867",
"packetsCount": "12",
"startDateTime": "1762905900000"
},
{
"id": "70971512796843153",
"packetsCount": "11",
"startDateTime": "1762905900000"
},
{
"id": "14920748817353351010",
"packetsCount": "9",
"startDateTime": "1762905900000"
},
{
"id": "9728120480048138823",
"packetsCount": "11",
"startDateTime": "1762905900000"
}
]
},
{
"startDateTime": "2025-11-12T00:10:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "15",
"startDateTime": "1762906200000"
},
{
"id": "11772164780568719528",
"packetsCount": "13",
"startDateTime": "1762906200000"
},
{
"id": "8676945544260853298",
"packetsCount": "14",
"startDateTime": "1762906200000"
},
{
"id": "15978301168329028491",
"packetsCount": "11",
"startDateTime": "1762906200000"
},
{
"id": "10263886907290398514",
"packetsCount": "15",
"startDateTime": "1762906200000"
},
{
"id": "4060862646078654863",
"packetsCount": "9",
"startDateTime": "1762906200000"
},
{
"id": "14461285799910848867",
"packetsCount": "10",
"startDateTime": "1762906200000"
},
{
"id": "70971512796843153",
"packetsCount": "9",
"startDateTime": "1762906200000"
},
{
"id": "14920748817353351010",
"packetsCount": "6",
"startDateTime": "1762906200000"
},
{
"id": "9728120480048138823",
"packetsCount": "11",
"startDateTime": "1762906200000"
}
]
},
{
"startDateTime": "2025-11-12T00:15:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "9",
"startDateTime": "1762906500000"
},
{
"id": "11772164780568719528",
"packetsCount": "10",
"startDateTime": "1762906500000"
},
{
"id": "8676945544260853298",
"packetsCount": "7",
"startDateTime": "1762906500000"
},
{
"id": "15978301168329028491",
"packetsCount": "13",
"startDateTime": "1762906500000"
},
{
"id": "10263886907290398514",
"packetsCount": "13",
"startDateTime": "1762906500000"
},
{
"id": "4060862646078654863",
"packetsCount": "10",
"startDateTime": "1762906500000"
},
{
"id": "14461285799910848867",
"packetsCount": "8",
"startDateTime": "1762906500000"
},
{
"id": "70971512796843153",
"packetsCount": "9",
"startDateTime": "1762906500000"
},
{
"id": "14920748817353351010",
"packetsCount": "21",
"startDateTime": "1762906500000"
},
{
"id": "9728120480048138823",
"packetsCount": "11",
"startDateTime": "1762906500000"
}
]
},
{
"startDateTime": "2025-11-12T00:20:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "7",
"startDateTime": "1762906800000"
},
{
"id": "11772164780568719528",
"packetsCount": "14",
"startDateTime": "1762906800000"
},
{
"id": "8676945544260853298",
"packetsCount": "10",
"startDateTime": "1762906800000"
},
{
"id": "15978301168329028491",
"packetsCount": "6",
"startDateTime": "1762906800000"
},
{
"id": "10263886907290398514",
"packetsCount": "8",
"startDateTime": "1762906800000"
},
{
"id": "4060862646078654863",
"packetsCount": "5",
"startDateTime": "1762906800000"
},
{
"id": "14461285799910848867",
"packetsCount": "2",
"startDateTime": "1762906800000"
},
{
"id": "70971512796843153",
"packetsCount": "10",
"startDateTime": "1762906800000"
},
{
"id": "14920748817353351010",
"packetsCount": "8",
"startDateTime": "1762906800000"
},
{
"id": "9728120480048138823",
"packetsCount": "9",
"startDateTime": "1762906800000"
}
]
},
{
"startDateTime": "2025-11-12T00:25:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "14",
"startDateTime": "1762907100000"
},
{
"id": "11772164780568719528",
"packetsCount": "13",
"startDateTime": "1762907100000"
},
{
"id": "8676945544260853298",
"packetsCount": "17",
"startDateTime": "1762907100000"
},
{
"id": "15978301168329028491",
"packetsCount": "11",
"startDateTime": "1762907100000"
},
{
"id": "10263886907290398514",
"packetsCount": "13",
"startDateTime": "1762907100000"
},
{
"id": "4060862646078654863",
"packetsCount": "11",
"startDateTime": "1762907100000"
},
{
"id": "14461285799910848867",
"packetsCount": "14",
"startDateTime": "1762907100000"
},
{
"id": "70971512796843153",
"packetsCount": "14",
"startDateTime": "1762907100000"
},
{
"id": "14920748817353351010",
"packetsCount": "9",
"startDateTime": "1762907100000"
},
{
"id": "9728120480048138823",
"packetsCount": "10",
"startDateTime": "1762907100000"
}
]
},
{
"startDateTime": "2025-11-12T00:30:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "12",
"startDateTime": "1762907400000"
},
{
"id": "11772164780568719528",
"packetsCount": "9",
"startDateTime": "1762907400000"
},
{
"id": "8676945544260853298",
"packetsCount": "11",
"startDateTime": "1762907400000"
},
{
"id": "15978301168329028491",
"packetsCount": "11",
"startDateTime": "1762907400000"
},
{
"id": "10263886907290398514",
"packetsCount": "10",
"startDateTime": "1762907400000"
},
{
"id": "4060862646078654863",
"packetsCount": "12",
"startDateTime": "1762907400000"
},
{
"id": "14461285799910848867",
"packetsCount": "13",
"startDateTime": "1762907400000"
},
{
"id": "70971512796843153",
"packetsCount": "9",
"startDateTime": "1762907400000"
},
{
"id": "14920748817353351010",
"packetsCount": "13",
"startDateTime": "1762907400000"
},
{
"id": "9728120480048138823",
"packetsCount": "11",
"startDateTime": "1762907400000"
}
]
},
{
"startDateTime": "2025-11-12T00:35:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "9",
"startDateTime": "1762907700000"
},
{
"id": "11772164780568719528",
"packetsCount": "8",
"startDateTime": "1762907700000"
},
{
"id": "8676945544260853298",
"packetsCount": "4",
"startDateTime": "1762907700000"
},
{
"id": "15978301168329028491",
"packetsCount": "9",
"startDateTime": "1762907700000"
},
{
"id": "10263886907290398514",
"packetsCount": "7",
"startDateTime": "1762907700000"
},
{
"id": "4060862646078654863",
"packetsCount": "9",
"startDateTime": "1762907700000"
},
{
"id": "14461285799910848867",
"packetsCount": "1",
"startDateTime": "1762907700000"
},
{
"id": "70971512796843153",
"packetsCount": "5",
"startDateTime": "1762907700000"
},
{
"id": "14920748817353351010",
"packetsCount": "5",
"startDateTime": "1762907700000"
},
{
"id": "9728120480048138823",
"packetsCount": "3",
"startDateTime": "1762907700000"
}
]
},
{
"startDateTime": "2025-11-12T00:40:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "14",
"startDateTime": "1762908000000"
},
{
"id": "11772164780568719528",
"packetsCount": "12",
"startDateTime": "1762908000000"
},
{
"id": "8676945544260853298",
"packetsCount": "17",
"startDateTime": "1762908000000"
},
{
"id": "15978301168329028491",
"packetsCount": "9",
"startDateTime": "1762908000000"
},
{
"id": "10263886907290398514",
"packetsCount": "8",
"startDateTime": "1762908000000"
},
{
"id": "4060862646078654863",
"packetsCount": "13",
"startDateTime": "1762908000000"
},
{
"id": "14461285799910848867",
"packetsCount": "12",
"startDateTime": "1762908000000"
},
{
"id": "70971512796843153",
"packetsCount": "14",
"startDateTime": "1762908000000"
},
{
"id": "14920748817353351010",
"packetsCount": "14",
"startDateTime": "1762908000000"
},
{
"id": "9728120480048138823",
"packetsCount": "21",
"startDateTime": "1762908000000"
}
]
},
{
"startDateTime": "2025-11-12T00:45:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "15",
"startDateTime": "1762908300000"
},
{
"id": "11772164780568719528",
"packetsCount": "17",
"startDateTime": "1762908300000"
},
{
"id": "8676945544260853298",
"packetsCount": "11",
"startDateTime": "1762908300000"
},
{
"id": "15978301168329028491",
"packetsCount": "10",
"startDateTime": "1762908300000"
},
{
"id": "10263886907290398514",
"packetsCount": "18",
"startDateTime": "1762908300000"
},
{
"id": "4060862646078654863",
"packetsCount": "12",
"startDateTime": "1762908300000"
},
{
"id": "14461285799910848867",
"packetsCount": "17",
"startDateTime": "1762908300000"
},
{
"id": "70971512796843153",
"packetsCount": "6",
"startDateTime": "1762908300000"
},
{
"id": "14920748817353351010",
"packetsCount": "11",
"startDateTime": "1762908300000"
},
{
"id": "9728120480048138823",
"packetsCount": "9",
"startDateTime": "1762908300000"
}
]
},
{
"startDateTime": "2025-11-12T00:50:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "10",
"startDateTime": "1762908600000"
},
{
"id": "11772164780568719528",
"packetsCount": "23",
"startDateTime": "1762908600000"
},
{
"id": "8676945544260853298",
"packetsCount": "13",
"startDateTime": "1762908600000"
},
{
"id": "15978301168329028491",
"packetsCount": "14",
"startDateTime": "1762908600000"
},
{
"id": "10263886907290398514",
"packetsCount": "14",
"startDateTime": "1762908600000"
},
{
"id": "4060862646078654863",
"packetsCount": "10",
"startDateTime": "1762908600000"
},
{
"id": "14461285799910848867",
"packetsCount": "12",
"startDateTime": "1762908600000"
},
{
"id": "70971512796843153",
"packetsCount": "8",
"startDateTime": "1762908600000"
},
{
"id": "14920748817353351010",
"packetsCount": "16",
"startDateTime": "1762908600000"
},
{
"id": "9728120480048138823",
"packetsCount": "10",
"startDateTime": "1762908600000"
}
]
},
{
"startDateTime": "2025-11-12T00:55:00Z",
"data": [
{
"id": "N/A",
"packetsCount": "N/A",
"startDateTime": "N/A"
},
{
"id": "11772164780568719528",
"packetsCount": "1",
"startDateTime": "1762908900000"
},
{
"id": "8676945544260853298",
"packetsCount": "1",
"startDateTime": "1762908900000"
},
{
"id": "15978301168329028491",
"packetsCount": "1",
"startDateTime": "1762908900000"
},
{
"id": "10263886907290398514",
"packetsCount": "1",
"startDateTime": "1762908900000"
},
{
"id": "N/A",
"packetsCount": "N/A",
"startDateTime": "N/A"
},
{
"id": "14461285799910848867",
"packetsCount": "1",
"startDateTime": "1762908900000"
},
{
"id": "70971512796843153",
"packetsCount": "3",
"startDateTime": "1762908900000"
},
{
"id": "14920748817353351010",
"packetsCount": "4",
"startDateTime": "1762908900000"
},
{
"id": "9728120480048138823",
"packetsCount": "1",
"startDateTime": "1762908900000"
}
]
},
{
"startDateTime": "2025-11-12T01:00:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "10",
"startDateTime": "1762909200000"
},
{
"id": "11772164780568719528",
"packetsCount": "5",
"startDateTime": "1762909200000"
},
{
"id": "8676945544260853298",
"packetsCount": "8",
"startDateTime": "1762909200000"
},
{
"id": "15978301168329028491",
"packetsCount": "16",
"startDateTime": "1762909200000"
},
{
"id": "10263886907290398514",
"packetsCount": "9",
"startDateTime": "1762909200000"
},
{
"id": "4060862646078654863",
"packetsCount": "15",
"startDateTime": "1762909200000"
},
{
"id": "14461285799910848867",
"packetsCount": "12",
"startDateTime": "1762909200000"
},
{
"id": "70971512796843153",
"packetsCount": "9",
"startDateTime": "1762909200000"
},
{
"id": "14920748817353351010",
"packetsCount": "17",
"startDateTime": "1762909200000"
},
{
"id": "9728120480048138823",
"packetsCount": "7",
"startDateTime": "1762909200000"
}
]
},
{
"startDateTime": "2025-11-12T01:05:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "14",
"startDateTime": "1762909500000"
},
{
"id": "11772164780568719528",
"packetsCount": "11",
"startDateTime": "1762909500000"
},
{
"id": "8676945544260853298",
"packetsCount": "8",
"startDateTime": "1762909500000"
},
{
"id": "15978301168329028491",
"packetsCount": "7",
"startDateTime": "1762909500000"
},
{
"id": "10263886907290398514",
"packetsCount": "11",
"startDateTime": "1762909500000"
},
{
"id": "4060862646078654863",
"packetsCount": "7",
"startDateTime": "1762909500000"
},
{
"id": "14461285799910848867",
"packetsCount": "6",
"startDateTime": "1762909500000"
},
{
"id": "70971512796843153",
"packetsCount": "17",
"startDateTime": "1762909500000"
},
{
"id": "14920748817353351010",
"packetsCount": "13",
"startDateTime": "1762909500000"
},
{
"id": "9728120480048138823",
"packetsCount": "8",
"startDateTime": "1762909500000"
}
]
},
{
"startDateTime": "2025-11-12T01:10:00Z",
"data": [
{
"id": "3320094004935950070",
"packetsCount": "12",
"startDateTime": "1762909800000"
},
{
"id": "11772164780568719528",
"packetsCount": "12",
"startDateTime": "1762909800000"
},
{
"id": "8676945544260853298",
"packetsCount": "7",
"startDateTime": "1762909800000"
},
{
"id": "15978301168329028491",
"packetsCount": "7",
"startDateTime": "1762909800000"
},
{
"id": "10263886907290398514",
"packetsCount": "10",
"startDateTime": "1762909800000"
},
{
"id": "4060862646078654863",
"packetsCount": "10",
"startDateTime": "1762909800000"
},
{
"id": "14461285799910848867",
"packetsCount": "16",
"startDateTime": "1762909800000"
},
{
"id": "70971512796843153",
"packetsCount": "12",
"startDateTime": "1762909800000"
},
{
"id": "14920748817353351010",
"packetsCount": "13",
"startDateTime": "1762909800000"
},
{
"id": "9728120480048138823",
"packetsCount": "9",
"startDateTime": "1762909800000"
}
]
}
],
"summaryStatistics": {}
}
